# PluginInterface2.h File Reference

RakNet's plugin functionality system, version 2. You can derive from this to create your own plugins. More...

`#include "NativeFeatureIncludes.h"`
`#include "RakNetTypes.h"`
`#include "Export.h"`
`#include "PacketPriority.h"`

## Classes
class | PluginInterface2
## Enumerations
enum | PluginReceiveResult { RR_STOP_PROCESSING_AND_DEALLOCATE = 0, RR_CONTINUE_PROCESSING, RR_STOP_PROCESSING }
enum | PI2_LostConnectionReason { LCR_CLOSED_BY_USER, LCR_DISCONNECTION_NOTIFICATION, LCR_CONNECTION_LOST }
enum | PI2_FailedConnectionAttemptReason

## Detailed Description

RakNet's plugin functionality system, version 2. You can derive from this to create your own plugins.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.